package com.brframework.commoncms.core.layout.column;

import com.brframework.commoncms.core.layout.AbstractPanelLayoutColumn;
import lombok.Data;

import java.lang.reflect.Field;
import java.util.List;

/**
 * 隐藏的列
 * @author xu
 * @date 2018/10/12 13:56
 */
@Data
public class LayoutHideColumn extends AbstractPanelLayoutColumn {

    private static final String TYPE = "HIDE";
    private String key;
    private String title;

    private String value;

    @Override
    public String getKey() {
        return key;
    }

    @Override
    public String getTitle() {
        return title;
    }

    @Override
    public String getType() {
        return TYPE;
    }

    @Override
    public void create(Field columnField) throws Throwable {
        init(columnField);
    }

    @Override
    public List<Class<?>> supportType() {
        return null;
    }
}
